# ==============================================================================
#									config makefile
#FileName：		makefile.config
#Author:		 xianfeng.du
#Data：			2022-08-10
#Description:	 config
# ==============================================================================

QUIET ?= yes
ifeq ($(QUIET),yes)
	PREFIX ?= @
else
	PREFIX ?=
endif

DIR_ROOT     	?= $(realpath ../)

DIR_APE      	:= $(DIR_ROOT)/ape_spu
DIR_COMMON   	:= $(DIR_ROOT)/common
DIR_ECS_SPU0   	:= $(DIR_ROOT)/ecs_rfm_spu0
DIR_ECS_SPU1   	:= $(DIR_ROOT)/ecs_rfm_spu1
DIR_PET_SPU0   	:= $(DIR_ROOT)/pet_rfm_spu0
DIR_PET_SPU1   	:= $(DIR_ROOT)/pet_rfm_spu1
DIR_LIB      	:= $(DIR_ROOT)/rtos
DIR_MAKE      	:= $(DIR_ROOT)/make
DIR_TEST      	:= $(DIR_ROOT)/test

DIRS_LIB_FOLDER	:= $(DIR_LIB)/common
DIRS_SRC_FOLDER := $(DIR_COMMON)/driver
DIRS_SRC_FOLDER += $(DIR_COMMON)/utility
DIRS_SRC_FOLDER += $(DIR_COMMON)/handshake
DIRS_SRC_FOLDER += $(DIR_COMMON)/msg
DIRS_SRC_FOLDER += $(DIR_COMMON)/pet_sm
DIRS_SRC_FOLDER += $(DIR_COMMON)/platform